# xoxys.chrony

[![Build Status](https://ci.rknet.org/api/badges/ansible/xoxys.chrony/status.svg)](https://ci.rknet.org/repos/ansible/xoxys.chrony)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.chrony/src/branch/main/LICENSE)

Setup chrony NTP.

## Table of content

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [chrony_allow](#chrony_allow)
  - [chrony_log](#chrony_log)
  - [chrony_logdir](#chrony_logdir)
  - [chrony_ntsdumpdir](#chrony_ntsdumpdir)
  - [chrony_pool](#chrony_pool)
  - [chrony_port](#chrony_port)
  - [chrony_server](#chrony_server)
  - [chrony_wait_service_enabled](#chrony_wait_service_enabled)
- [Dependencies](#dependencies)
- [License](#license)
- [Author](#author)

---

## Requirements

- Minimum Ansible version: `2.10`

## Default Variables

### chrony_allow

#### Default value

```YAML
chrony_allow: []
```

### chrony_log

#### Default value

```YAML
chrony_log:
  - measurements
  - statistics
  - tracking
```

### chrony_logdir

#### Default value

```YAML
chrony_logdir: /var/log/chrony
```

### chrony_ntsdumpdir

#### Default value

```YAML
chrony_ntsdumpdir: /var/lib/chrony
```

### chrony_pool

#### Default value

```YAML
chrony_pool: 2.pool.ntp.org iburst
```

### chrony_port

The port option can be set to 0 to make chrony daemon to never open any listening port
for server operation and to operate strictly in a client-only mode.

#### Default value

```YAML
chrony_port: 0
```

### chrony_server

#### Default value

```YAML
chrony_server: []
```

### chrony_wait_service_enabled

#### Default value

```YAML
chrony_wait_service_enabled: false
```

## Dependencies

None.

## License

MIT

## Author

[Robert Kaussow](https://gitea.rknet.org/xoxys)
